| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Rndm::GaussianTail Class Reference

Parameters for the Gaussian tail number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::GaussianTail:
[legend]
Collaboration diagram for Rndm::GaussianTail:
[legend]

## Public Member Functions
| GaussianTail (double a, double s)
| Standard Constructor. More...
| ~GaussianTail () override=default
| Standard Destructor. More...
double | cut () const
| Access cut value of the distribution. More...
double | sigma () const
| Access sigma of the distribution. More...
GaussianTail * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_cut
| Cut on the Gaussian tail distribution. More...
double | m_sigma
| Sigma of the Gauss ditribution. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Parameters for the Gaussian tail number generation.

Definition at line 332 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::GaussianTail::GaussianTail | ( | double | a,
|  | double | s
| ) |  |
| inline

Standard Constructor.

Definition at line 340 of file RndmGenerators.h.

341 : IRndmGen::Param(IID_IRndmGaussianTail), m_cut(a), m_sigma(s) { }
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:337
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:335
IRndmGen::Param
Definition: IRndmGen.h:40
gaudirun.s
string s
Definition: gaudirun.py:245

Rndm::GaussianTail::~GaussianTail | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

GaussianTail* Rndm::GaussianTail::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 351 of file RndmGenerators.h.

351 { return new GaussianTail(m_cut, m_sigma); }
Rndm::GaussianTail::GaussianTail
GaussianTail(double a, double s)
Standard Constructor.
Definition: RndmGenerators.h:340
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:337
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:335

double Rndm::GaussianTail::cut | ( |  | ) | const
| inline

Access cut value of the distribution.

Definition at line 345 of file RndmGenerators.h.

345 { return m_cut; }
Rndm::GaussianTail::m_cut
double m_cut
Cut on the Gaussian tail distribution.
Definition: RndmGenerators.h:335

double Rndm::GaussianTail::sigma | ( |  | ) | const
| inline

Access sigma of the distribution.

Definition at line 347 of file RndmGenerators.h.

347 { return m_sigma; }
Rndm::GaussianTail::m_sigma
double m_sigma
Sigma of the Gauss ditribution.
Definition: RndmGenerators.h:337

static const InterfaceID& Rndm::GaussianTail::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 349 of file RndmGenerators.h.

349 { return IID_IRndmGaussianTail; }

## Member Data Documentation

double Rndm::GaussianTail::m_cut
| protected

Cut on the Gaussian tail distribution.

Definition at line 335 of file RndmGenerators.h.

double Rndm::GaussianTail::m_sigma
| protected

Sigma of the Gauss ditribution.

Definition at line 337 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h